---------------------------------------------------------------------------------------------------
Version: 0.9.2
Date: 26. 10. 2019
  Features:
    - Added Compressor. Used to compress sand > stone, sulfur > coal, coal > diamond and stone > obsidian
  RPG/GUI:
    - Added Personal Killings! When Combat Overhaul is active, this only works with melee attacks. Without combat overhaul, it works on all player fired guns. This stat is useless for now, till i can make it work with combat overhaul on as well
    - Removed Global info from MP games in the stats windows. Now it will only show your stats
    - Reworked XP gain with killing entities. Only units, spawners and worms will give killing xp now! Trees no longer give XP
  Balancing:
    - Changed Recipe Time of sand to stone: 2 sec > 5 sec
    - Removed Belt immumity technology
    - Added that certain metallurgy recipes will no longer showup in the total raw data of other recipes. This is done to avoid confusion with the liquid metals drops in those recipes
  Bugfixes:
    - Fixed Crude Oil Recipe not having locale
    - Fixed Combat Overhaul having to be active with enemies
    - Fixed bug when something was killed by a non force related item or entity
    - Fixed labs not being able to be fast replaced
    - Fixed pipes having to be manually replaced one by one without upgrade planner. Can now be dragged again
    - Fixed replacement issue with inserter to long handed inserter. The 2 kinds can no longer be fast replaced, since that bugs their reach
---------------------------------------------------------------------------------------------------
Version: 0.9.1
Date: 20. 10. 2019
  Major Features:
    - Completely revamped the loot system. Now takes their size into account and their damage tier. Also now drops obsidian
    - Added a lot new inserters. 5 basic, 5 long handed, 5 stack, 5 stack long handed, 2 filter, 2 stack filter, 2 long handed filter, 2 stack long handed filter
    - Military Science Pack is now completely optional. It can only be gotten with farming enemies, and only unlocks warfare related content. It is no longer needed for normal progression
    - Added resistances to all material based entities. (at least, the first part of it, will be expanded in later versions) They will by default always show, but this can be turned off in the settings. (walls and gates ALWAYS show, no matter the setting)
  Minor Features:
    - Fluid Wagons now hold 500.000 fluid
    - Removed several technologies that were no longer needed
  Compatibility:
    - Fixed compatibility with Robot Tree Farm not giving the proper seeds
  Bugfixes:
    - Fixed issue's with solar panels not being upgradable
    - Fixed issue's with accumulators not being upgradable
    - Fixed issue's with inserters not being upgradable
---------------------------------------------------------------------------------------------------
Version: 0.9.0
Date: 18. 10. 2019
  Major Features:
    - Warfare Update! Massive amount of warfare related content added!
    - Introducing Damage Type related content. Certain objects can only be hurt by certain Damage types, and are massively resistant to others.
    - Introducing 210 different mobile natives, and 105 stationary natives when Warfare Enemies are enabled. Base game generation of enemies is then disabled
    - Loaders are now 1x1, with nicer graphics
    - Added recipes for quite a bit tier 3 entities. These recipes are standalones, and dont need the previous tier. This drops the stone and wood usage for late game. They are unlocked a at tier 4 research 
    - Space Science is now made with Space Science Fluid, made from high tier products (recipe will be changed once more metals are implemented)
  Features:
    - Added Heat pipe under transport belts back. Option can be disabled (which is its default now) and now when a transport is mined or destroyed, the heat pipe is gone as well. It now works on underground belts and loaders as well
    - Added Atomic Artillery Shell. This has a massive radius of destruction! USE WITH CARE. Leaves behind a radioactive wasteland, that is not passable for 15 minutes unless you want to die!
    - Added Metal flooring tiles. Use metals to color the world!
    - Added Rifle
    - Added Ammo for: Bullet guns (chaingun, pistol, etc), Shotguns, Rockets, Cannons
    - Added Chaingun
    - Added Storage Tanks
    - Added Sniper Rifle
    - Added Sniper Turret
    - Added option for technologies to have upgrade or not (hides most of the tech tree when enabled)
    - Added 5 new Gun Turrets (use basic ammo magazines) and disabled the vanilla Gun Turret
    - Added 4 new Shotgun Turrets
    - Added Laser Gun + 4 types of ammo
    - Added a setting and a control key to mark all dropped loot deconstrucible. Robots will pick them up once in range. Normal script happens once an hour, the control key can be used anytime (NUMPAD +)
  Minor Features:
    - Trees now have a small chance to give wood, acorns or resin when destroyed by weapons (loot dropped)
    - Added an early game way to gain sand
    - Added pollution output to all heated entities
    - Added uses for all filters. Now required to use in air filters
    - Mining coal now has chance to give sulfur
    - Added a new nuclear fuel cell: Argonium
    - Added Heated Assembling Machine. Good news is it's quicker then a Stone Assembling Machine, but sad news is it can't use fluids in recipes
    - Rework of the tech tree. Removed technologies that are no longer needed, and shifted certain techs to higher or lower science packs
    - Added information to certain entities and items on how much heat it requires, ranges, capacities, etc
    - Circuit Network Technology is now early available
    - Add slag to plate smelting (normal furnaces). Dont want to deal with multi pipes? just smelt the slag into its plate, at worse ratio's
  Balancing:
    - Changed Iron Assembling Machine Speed: 1.11 > 0.76
    - Changed Electrum Assembling Machine Speed: 5.56 > 6.16
    - Changed Iron Mining Drill Range: 6x6 > 5x5
    - Changed Lead Mining Drill Range: 8x8 > 9x9
    - Changed Cobalt Mining Drill Range: 10x10 > 11x11
    - Changed Arditium Mining Drill Range: 10x10 > 13x13
    - Changed Titanium Mining Drill Range: 12x12 > 15x15
    - Changed Electranium Mining Drill Range: 15x15 > 19x19
    - Changed Tungstvar Mining Drill Range: 20x20 > 23x23
    - Changed Neutronium Mining Drill Range: 22x22 > 29x29
    - Changed Neuitrobaltium Mining Drill Range: 25x25 > 39x39
    - Increased Character Loot Range (the default one)
    - Labs require a lot more power now
    - Loaders now have filter slots based on their Tier
    - Moved all pipe related items to Fluid Handling Techs
    - Proper recipes for Stick, Gear and Cable forges now
    - Gunpowder is now available from the start
    - Reduced Stacksizes of Machines to 50 per stack
    - Acorns now have a tiny fuel value, so the excess can be burned off 
    - All entities that use power are adjusted to use MORE power. They use power based on their statistics. The biggest affected entities are mining drills and pumpjacks, where they can shoot up by MW's each tier, or GW's in end game
    - Steam Engines now all use 30 fluid per second
    - Steam Turbines now all use 60 fluid per second
    - Steam Engines now gain 50% efficiency each tier and now provide a lot more power
    - Steam Turbines now gain 100% efficiency each tier and now provide a lot more power
    - Solar Panels now provide a lot more power and require less solar cells
    - Accumulators now store a lot more power, and output and input of power is higher
  QoL:
    - Loaders can now be fast replaced by splitters, belts and undergrounds. And vice versa 
    - Add loader snapping. they will always insert into machine/chest first, can be rotated with selecting and pressing R
  Compatibility:
    - Added Alien Ore to Ore (Alien Loot Economy)
    - Fixed compatibility with JunkTrain2 mod
    - Mods that add "dummy" items should no longer spawn in random loot chests
  Combat Overhaul:
    - Atomic Bomb rocket is now MUCH MUCH more powerful! Larger area of affect, longer wave, larger range and more damage! USE WITH CARE! DROPS FPS IMMENSLY!!!!
    - Artillery Turrets & Wagons now have much bigger range for automatic mode. 7 Chunks > 10 Chunks
    - Artillery Turrets & Wagons now have much bigger range for manual mode. 17.5 Chunks > 35 Chunks
    - Changed land mine to be more epic. Sadly, it now also damages EVERYTHING! even other mines. So space them out properly!
  RPG/GUI:
    - Added Mining Drill Productivity Bonus (level 50+)
    - Added Inserter Pickup Size Bonus (level 20+)
    - Added Stack Inserter Pickup Size Bonus (level 25+)
    - The Skills GUI is now updated at the same time as the Stats window. They can be open at the same time, but close when the Distance Window is opened.
    - Added a Skill: Running Boost. Unlocked at level 5
    - Added a Skill: Chart Skill. Unlocked at level 15
    - Added Skill Points (a currency for using skills sort off)
    - To gain Skill Points, launch science packs into space, different science packs give different amount of Skill Points. Also killing entities and scanning area's give Skill Points, but this has a diminishing gain in the long run
  Changes:
    - Added new Thumbnail. Many thx to Sara for supplying it
    - Methane now has correct chemical name
    - Heat Pipe stacksize: 50 > 200
    - Inserter stacksize: 50 > 200
    - Stack Inserter stacksize: 50 > 200
    - Stack Filter Inserter stacksize: 50 > 200
    - Filter Inserter stacksize: 50 > 200
    - Fast Inserter stacksize: 50 > 200
    - Long Handed Inserter stacksize: 50 > 200
    - Stone Wall stacksize: 50 > 200
    - Stone Wall health reduced to better match with the rest
    - Disabled vanilla Heat Exchanger since its no longer needed
  Bugfixes:
    - Fixed super modules not able to work on most intermediates
    - Fixed Construction Robots having wrong energy defined
    - Fixed crash with rotating ghost inserters
    - Fixed upgrade bug with transport belt entities (at max tier)
    - Fixed (hopefully) an error with the random loot chests that spawn far away
---------------------------------------------------------------------------------------------------
Version: 0.8.6
Date: 26. 09. 2019
  Changes:
    - Removed heat pipes under belts
---------------------------------------------------------------------------------------------------
Version: 0.8.5
Date: 26. 09. 2019
  Major Features:
    - Pre Warfare (0.9.x) update
  Features:
    - With Warfare enabled, guns no longer stack
    - With Warfare enabled, shooting guns no longer reduces speed
    - Days & Nights now last 4x longer. Accumulators hold 5x more energy, to compensate
    - Added the Combat Overhaul option in. This is completely optional. This makes combat more interesting. Bullets have collisions (a few are not done yet, will be in 0.9.0), turrets have firing arcs (90 degrees) and can be placed in 8 directions and collision based turrets will lead the target. Will be extended in upcoming Warfare updates
    - Added Heated Long Handed Inserter
  Balancing:
    - Made Alloy mixing 10x larger recipes. Requires 10x more ingredients, outputs 10x more
    - Increased all belt related entities speed by 35%. This should fix most slow belt issues. 
  RPG/GUI:
    - Changed the way inventory space bonus is calculated (Still WIP)
    - Increased the max inventory space bonus: 250 slots > 1000 slots
  QoL:
    - Added option to automatically place a (invisible) heat pipe under transport belts. This one has a very tiny selection box, so it can be removed. Gives normal heat pipe back when mined. This only works on Belts! NOT splitters, loaders or undergrounds! This will only work on newly placed belts, already placed ones are not affected
  Changes:
    - Changed Water Boiler heat: 95 degrees > 50 degrees
    - Added more mods that are incompatible. These mods are Warfare/Enemies related, since Warfare update is coming up
  Bugfixes:
    - Fixed Belt related entities not showing correct colors
---------------------------------------------------------------------------------------------------
Version: 0.8.4
Date: 22. 09. 2019
  Major Features:
    - A new early game entity has been added, the Heat Pipe Heater. 
    - Heated Inserters can now be made and placed. They are normal inserters, except they use heat instead of electricity. They double as a heat pipe, so heat can be transferred through them
    - Heated Furnaces can now be made and placed. These are furnaces that dont take fuel, but use heat to smelt. They transfer heat down the line (they act as heat pipes)
  Features:
    - Added more Nuclear Reactors (now 5 total) and made them A LOT more expensive! They truly are a good power generators
    - Added more Steam Turbines
    - Added more Boilers
    - Added Heat Exchangers
    - Added more Speed Modules (more module types coming next update, once beacons are in)
  Minor Features:
    - Added compatibility to the Reforested Wood mod. This fixes key issue's of the mod, as well as letting it harvest acorns. Added it as an optional mod, since i can be used early game quite handy
  Balancing:
    - Tweaked energy usage of Blast Furnaces
    - Tweaked crafting speeds of Blast Furnaces
    - Reduced crafting times of alloy mixing
    - Reduced crafting times of plate casting
    - Reduced crafting times of slag melting
    - All Transport Belts recipe are now giving 6 Belts instead of 1
    - Productivity Modules can now be used on DyWorld Intermediates
  QoL:
    - The last tier of an entity is no longer upgradable, meaning it will not be replaced with the upgrade tool
    - Damaged entities (ship stuff, corpses and capsules) from the start can now be mined and removed to gain a nice amount of stuff
    - Renamed Recycler to Waste Incinerator to better show its purpose
    - Recolored materials that were the same color
  Changes:
    - Added several more incompatible mods to dependencies as well as a few optional, recommended mods
    - Renamed Nuclear Energy Technology to: Heat Management & Nuclear Energy
    - Blast Furnaces now require different power source: Heat (from heat pipes)
    - Heat pipes now have a new max temperature: 1000 > 5500
    - Heat pipes are now unlocked a lot earlier, and are cheaper
    - Steam now has a new max temperature: 50000 > 5000
    - Tin Nuclear Reactor removed, replaced by Steel Nuclear Reactor
    - Updated Roadmap (numpad 3 or numpad 6 ingame)
  Bugfixes:
    - Fixed belt related expensive recipe issue's
---------------------------------------------------------------------------------------------------
Version: 0.8.3
Date: 17. 09. 2019
  Minor Features:
    - Expensive recipe multiplier is now a startup setting. You can input the x multiplier, and scripts will change the recipes accordingly
  Balancing:
    - Tweaked resources a small bit
  Bugfixes:
    - Fixed certain labs not being able to be crafted
---------------------------------------------------------------------------------------------------
Version: 0.8.2
Date: 16. 09. 2019
  Minor Features:
    - A complete new way to generate Ores. This should now spawn all ores (some were getting left out) and should make patches nicer sizes and at various placed. Still a work in progress, but works great already
    - A rewrite in infinite ore setting. Should now work with expensive recipe helper setting, and should also have reasonable ore value's now
  Balancing:
    - Increased stacksize of all DyWorld added tiered items to 200
  QoL:
    - Hidden items are now shown in seperate tab in the filter menu. This to improve compatibility with Upgrade Planner so vanilla blueprints can be upgraded after being placed
  Bugfixes:
    - Fixed multiplayer bug with wiping inventory and levels everytime a player joins
    - Fixed stack sizes not being correct
    - Debug items will no longer show up in random chests
    - Fixed extremely rare crashing error with random loot spawners
---------------------------------------------------------------------------------------------------
Version: 0.8.1
Date: 15. 09. 2019
  Minor Features:
    - NOTE: this update is released ahead of schedule, and does not contain all features that were originally planned for this update. These features have been pushed back to next update. This was done to fix a few issue's that were troubling for KatherineOfSky's playthrough on Youtube ( https://www.youtube.com/watch?v=TRT6uW2NOtA&list=PL4o6UvJIdPNqubR5oXdx9SqKFoYW_SL-q )
    - Mining trees now have an extremely low chance (0.5%) to give food items. Can be used to heal yourself, or for farming which can give more food related items
    - Added a new wood farming recipe for greenhouses. This always gives 1 acorn, but requires more time and water (at a very specific temperature range though, good luck with that). Wood output is also increased
    - Stone resources now has a chance to give sand when mined
    - Added dedicated water boiler. This heats water to 95 degrees (doesn't create steam!)
  QoL:
    - Added a new recipe for Electronic Control Board. This recipe doesn't use the previous Control Board, but is made from scratch. More expensive, but does not require any wood anymore. Cuts the wood usage back from later tiers. Unlocked at Intermediates-3 
    - Stone has now a slighty different color, to hopefully not make it as dark as it was
  Balancing:
    - Cutting ANY tree will now have a chance to get acorns. This fixes compatibility issues with mods that add trees, since they give acorns now as well.
    - Rocks in the game, also any added by any mod, now give a chance for sand and obsidian depending on their size
    - Changed difficulty script to not have massive leaps in health. Now smaller leaps, and different things have different health increases (bases more then units)
    - Belts stacksize changed: 100 > 200
    - Loaders stacksize changed: 100 > 200
    - Underground Belts stacksize changed: 100 > 200
    - Splitters stacksize changed: 100 > 200
    - Acorns drop chance from greenhouse basic recipe increased: 45% > 55%
    - Increased max temperature of steam: 1.000 > 50.000 (temporary, Work in Progress)
    - Changed max temperature of Iron Boiler: 165 > 200
  Changes:
    - Reworked info.json. Added a list of mods that are incompatible with DyWorld (bobs, angels, py, IR etc) should these mods be installed, DyWorld will not be loaded!
    - Greenhouses now have 2 fluid inputs
  Bugfixes:
    - Fixed joining a game in progress error
    - Fixed graphical glitch with pipes and its window sprite. Should display correct color now
    - Fixed Chemical Science Fluid not being able to be crafted in any machines
    - Fixed issue with mods that added units that have no healing per tick
---------------------------------------------------------------------------------------------------
Version: 0.8.0
Date: 24. 08. 2019
  Major Features:
    - COMPLETE REWRITE OF DYWORLD! So many changes, that it is to much to write down. Its a completely new mod now, and upcoming changelogs will reflect changes and additions made after this versions.
    - Completely new Ores. Cobalt, Arditium, Tin, Nickel, Silver, Lead, Tungsten, Titanium and Neutronium.
  Features:
    - Base game ores revamped and now generated the same as the rest
    - Added storehouses and warehouses in 3x3 and 6x6 size, courtesy of Nova Kast, dgw and Anoyomouse
  Minor Features:
    - Starting ships replaced by new base game graphics. Broken down stuff sadly, will recieve update in next versions to repair them
    - Random debris can now be found in the starting area. This holds scrap metal (which gives some random stuff), corpses of your crew mates and impact craters. More to come in coming updates to bring more life into the world
    - During your crash landing, a lot of stuff has been ejected before you hit the ground. Some chests can be found further away from the starting area, these are hard to find, but give rewarding loot (all items in game can spawn in it!) Its quite far away though, and each one generated makes the next one even further generated.
    - Added a lot new intermediates! Total over 100 items! 
  RPG/GUI:
    - Removed the Needs and Story systems. Were unfinished and are pushed back to far away
    - Changed the way you gain XP. Mining, Crafting and Building have diminishing XP gains. This is item specific, so Mining, Crafting or Building different items have different XP. Max XP gain for Mining after 1000 mined is 0.25 XP, for Crafting its 0.05 XP after 260 crafted and building is 0.05 XP gained after 10.000 build. Build, mine and craft many different things!
    - Revamped Distance GUI. Now has 4 modes. First will show the crashed ships, always active. 2: You can toggle Map Labels on/off in settings, will show distances. 3/4: These modes are not completely implemented yet, but show resource and player distances when done
    - Add Tooltips for nearly everything GUI Related
    - Disabled Skills window for now, till it has been implemented (0.8.5 or 0.9.x!)
  Changes:
    - Removed old mod settings
    - Completely revamped world generation of ruins. More stuff now generates
    - Recycler now has a massive drawback: It emits MASSIVE amounts of pollution! use it wisely!
    - Revamped metallurgy. Now new alloys, more machines, and easier to understand. Still some logistical nightmare though!
---------------------------------------------------------------------------------------------------
Version: 0.7.80
Date: 13. 07. 2019
  Features:
    - Add specialised Ore Cracking Recipes. They are locked behind purple science, but give you the ability to get just one ore, instead of multiple
    - Ported to Factorio 0.17.x
  RPG:
    - Bonuses and Attributes are now calculated every minute, instead of every second (it updated when the RPG Stats GUI refreshed in previous releases). Formula's became more complex, and updating every second lags the game insanely
    - The RPG Stats GUI and Needs GUI now all update every 5 seconds, instead of every second (more checks added, increasing lag spikes on slower computers). 
    - The Distance GUI now can only be opened when the RPG Stats GUI is closed! This fixes bouncing GUI's
    - Most bonuses can only become active when certain conditions are met. Mostly levels, but some have a throshold in their corresponding statistic.
    - Leveling is much easier in DyWorld now, to compensate for some bonuses being locked in levels beyond level 20
    - A bit smaller text in all GUI's, so that it wont cover a huge part the screen. Size reduced by 15-20%
  Changes:
    - Removed seperate technologies of Modules, Tanks and Locomotives. THey are unlocked as a batch now
    - Removed stacksize multiplier from fluid wagon. Capacity is now set at 250k
    - Removed unit increase from DyWorld Warfare difficulty. This was lagging the game extensively, especially on higher difficulty! As compensation, health increases have become higher
    - Blue science pack require aluminium mining drill now. This requires more components, but less overal resources!
    - Metallurgy and Modules settings removed. They are now part of the core of DyWorld!
    - Reduced min range of turrets a lot
    - A lot better migration script, which doesnt result in increased stats (RPG wise) whenever a migration was done.
    - Launching a satellite doesnt finish the game anymore. Now you have to launch the DTX-001 Spaceship.
    - Launching with any item with a rocket doesnt bring up the message anymore that a satellite wasnt added
    - Removed Tiles for now
    - Removed Enemies for now
    - Removed quickbars
---------------------------------------------------------------------------------------------------
Version: 0.7.5
Date: 06. 08. 2018
  Features:
    - Added Russian Translation. Made by EthereanOne and Anton. It is far from perfect, but acceptable
    - Inserters can now be rotated to side loading. Similar functions to Side Inserters mod
    - New chain for making batteries! Use conductive fluids to fill the battery with!
    - Added back the preset map gen settings, with the correct ores set to it!
    - Added infinite Inserter Capacity research. Every 2 levels increases non stack with 1, while every level increase stack inserter stacksize by 2
    - Added infinite worker robot stack size. Increase your robot's carry size, one tech at a time
  Balancing:
    - Accumulators now hold 2.5x more charge
    - Roboports hold a lot more energy, to prevent power loss at higher tiers with more charging slots
    - Increased Fluid Wagon capacity to 250k, and will work with stack size increaser now as well.
    - Recycler produces more pollution now
    - Made recipes of Modules more diverse
    - Made recipes of Labs more diverse
    - Made recipes of Gun Turrets more diverse
    - Steam Engines now have set fluid usage, making energy produced more sensible
    - Storage Tanks now act as valves. This means that any connecting pipe that is an input into a tank has to be at least 80% full before it can fill the tank. Output is unchanged though. This feature can be override by adding a pump before going into tanks
    - Added one way pipes! This will balance both output and input with each other, one way obviously. Will not start outputting till input is at least 10% full. Can be connected to circuit network to read pipe contents
  Materials System:
    - Gold now has 4x more conductivity
  Metallurgy:
    - Proper ore cleaning chunk recipes. All cleaning ores recipes now give a lot more variants of chunks
    - Double Molten Iron cost of Molten Steel recipe
    - Increased time it takes to melt an ore, and increased ore amount per recipe by 10, but gives 10 times more fluid as well. This will speed up the melting
  Chemistry:
    - Water can now be spliced and recombined
    - Sulfiric Acid can now be spliced and recombined
    - Lubricant can now be spliced and recombined
    - Petroleum Gas can now be spliced and recombined
    - Light Oil can now be spliced and recombined
    - Heavy Oil can now be spliced and recombined
  Changes:
    - Changed order in which science packs are placed in menu
    - All fluid entities (pumps, pipes, etc) now have their own row in the crafting menu's
---------------------------------------------------------------------------------------------------
Version: 0.7.4
Date: 29. 07. 2018
  Features:
    - Metal Tiles now correctly colored. Spice up your world! (No High Res)
    - Added high output clean water recipe. Locked behind Purple Science (Fluid Handling 4), but gives to you ability to create massive amounts of clean water
    - Added new mod setting for multiplying science pack costs. This will only work on normal research! The tiered onces are not changed!
  Balancing:
    - Rock Boilers are 10x faster
    - Chemistry Machines require less power
  Materials System:
    - Changed formula of Chests and Warehouses, they are better now and increase more fluent
    - Formula of pumps pumping speed is now correct
    - Added 2 new formula's: Mining Time and Mining Hardness. Used for taking down entities
    - Changed Speed of repair packs formula
    - Changed damage of mining axes formula
    - Changed speed of mining axes formula
    - Changed formula's of electric and burner mining drills
    - Added a new entity: Pumpjacks
    - Added description to inserters about their speed. This is still a WIP, and will be refined further
    - Changed formula of inserters, and made them faster as well
    - Underground Belts are now having less air resistance and thus are 15% faster then normal belts
  Bugfixes:
    - Fixed radars not showing area covered completely
  Changes:
    - Carbolycite has less hardness, but takes longer to mine
    - Removed older migrations. Only migrations after 0.6.x stay for now
    - Chemistry Recombining is now faster and it will give you 10 items or fluids now, for the price of 10x the atoms it requires (so no gain, just bigger output with bigger costs)
    - Removed Substations, and recipes that used it will now use Copper Relay
    - More changes to crafting menu grouping! Even nicer now
---------------------------------------------------------------------------------------------------
Version: 0.7.3
Date: 25. 07. 2018
  Features:
    - Beacons can now be unlocked with Blue Science Packs
    - Added a new entity to the Material System: Tiles! Made from metals only, can be used to place on the ground. GRAPHICS ARE TEMPORARY, Will be fixed next update!
  Balancing:
    - Reduced base arc of turrets: 75 > 70
    - Bauxite is now richer and spawn slightly more
  Materials System:
    - Changed the formula for underground ranges of both Pipes and Belts
    - Changed the formula for pipe capacity even further by improving it
    - Changed the formula for Belt, Loader and Splitter speed. Much more flexible, and more balanced
    - Changed the formula for shooting speeds of turrets
    - Changed the formula for assembler speed
    - Changed power output formula of solar panels and storage of accumulators
    - When a material has 0 conductivity, it will have NO electric machines!!!!
    - All previously placed electric machines that now have 0 Conductivity will be transfered to a material of the same tier that does have Conductivity
    - Changed conductivity of Uranium to 0
    - Changed conductivity of Stone to 0
    - Changed conductivity of Obsidian to 0
    - Massive power update! All power usage and production have been completely revamped to be better!
    - Changed Tier of Iron and Copper: 2 > 1
    - Recipes of Radars are now more diverse
    - Recipes of Assembling Machines are now more diverse
    - Changed formula for pumps pumping speed
    - Changed formula of roboport ranges
    - Power Relays now have a set max distance: 64 (max the game allows)
    - Changed formula's of power poles and relays. Much more tiered, and not too big or too small anymore
  Changes:
    - Removed science fluid outputs of Space Science Packs
    - Changed recipe of Space Packs
    - Changed recipe of Blue Science Fluid to use Aluminium Storage Tank instead of Lithium Storage Tank
    - Tier 6 research now uses Extra Solar Packs aswell
    - Infinity lab renamed to Space Lab, and uses all science packs now
    - Changed graphics of Methane Deposits slighty, so they are easier to spot
    - Requester chest now unlocked with logistic robot 2 research
  Warfare:
    - Arachtoids are a bit stronger (± 25%)
---------------------------------------------------------------------------------------------------
Version: 0.7.2
Date: 21. 07. 2018
  Features:
    - Added a new intermediate: Gunpowder. Used in all ammo related items now!
    - Added a new recipe to create Acid
  Balancing:
    - Changed some recipes of ore cracking to be more random and recipes are quickers now
    - Rock Boilers use slightly less power
  Materials System:
    - Changed Pipe capacity formula to be more flexible and accurate
    - Changed Ranges of Ammo's and Turrets even better then in last updates. Much more accurate now
    - Moved Chromium to higher tier. 2 > 3
    - Moved Tungsten to higher tier. 2 > 3
    - Added a new alloy: Lithium-Titaniate (tier 5)
    - Added a new metal: Titanium (tier 3)
    - Added a new metal: Lithium (tier 2)
  Changes:
    - Increased starting arc of turrets: 60 > 75 degrees
    - Improved the item grouping even further. Materials are still locked together, but now grouped in 3 groups: Machines, Power and Transport. This will undergo even more changes soon
    - Reduced Blast-furnace's input and output storage to 5 times recipes size
    - Changed blue science pack to use lithium instead of tin and tin instead of chromium
  Metallurgy:
    - Added second recipe to get Molten Rock using sand, sludge and sulfur
---------------------------------------------------------------------------------------------------
Version: 0.7.1
Date: 17. 07. 2018
  Balancing:
    - Changed some recipes of ore cracking to be more logical
  Bugfixes:
    - Fixed debug statement causing errors on a server
---------------------------------------------------------------------------------------------------
Version: 0.7.0
Date: 16. 07. 2018
  Features:
    - Added new dynamic resistances for enemies. They scale up with higher and stronger units. They now truly get stronger and stronger the bigger they get.
    - Loaders now snap to entities with inventories. Same functionality as DeadLockLoaders. (Taken with his permission, legal stuff can be found in legal folder inside zip folder)
    - Added option to the manual crafting of circuit and pcb components. Enabled it will auto craft in inventory when a circuit is pressed. Remember, this requires more resources, and a restart of the game.
    - Removed all special assemblers for coils, wires and pcb's and made 1 all purpose assembler. All old items and entities will migrate to new entity. Gear crafter is untouched
    - Complete new layout in the crafting menu. This is still a work in progress, but shaping to be much nicer. For example, all iron related material items are now in the same group, so if you want something of iron, look there, instead of in each menu.
    - Ores revamped. All ores have been removed! And now there are 7 ores, which holds the other ores. Ores can be seperated with the centrifuge (for now). RSO wont work yet, till its updated!
  Materials System:
    - Added a new item: Land Mines
    - Added a new item: Rockets. They have AoE damage based on their tier
    - Added a new armor: Modular Armors. Grid Space is based on the material's Hardness and Density. Provides NO inventory slot bonuses!
    - Added a new entity: Module Beacons
    - Added a new entity: Armored Cars
    - Added a new entity: Armored Tanks
    - Moved Rubber to higher tier. 1 > 3
    - Moved Uranium to higher tier. 2 > 4
    - Moved Obsidian to higher tier. 1 > 2
  Chemistry:
    - Add the ability to recombine into certain compounds. 
    - Made recipes round their numbers better, so that it is more accurate numbers.
    - Sludge Water can now be spliced and recombined.
  Changes:
    - Added new license! Went to GNU GPL v3 to allow me, and others, to use code from others and share more freely among each other
    - Made the spawned rocks have the correct hardness
    - Disabled Level Unlocks till further notice (will be revamped in 0.8.x)
    - Centrifuge now available from the start
    - Science packs can no longer be used with productivity modules 
    - Productivity Modules work with a lot of DyWorld intermediate recipes now
    - Made recipe of Yellow Science Fluid a lot harder, while increasing the amount of fluid you get
    - Changed max fluid input of Forge and Centrifuge to 2 times recipe size.
    - Forge now only has 1 input slot, which should fix module issue
    - Removed Rubber Burner and Electric Drills. They were too OP!
    - Added couple of new recipes to help out with higher tiers of automation
  Graphics:
    - Added new loader, transport belt and underground belt graphics made by Deadlock989. Taken from https://mods.factorio.com/mod/DeadlockLoaders with approval.
  Balancing:
    - Recombiner and Splicer now have much lower pollution output (1/50th to be exact)
    - Increased Electric Mining drills mining power. They are now 50% more powerful
    - DyWorld Locomotives now have a Grid Space for use of different equipments.
    - Molten Rock and Molten Glass recipe can now be productivity moduled
    - Molten rock heating is 50% more effective and 200% faster
    - Pipes are now tiered. Meaning that higher tiers have LOWER capacity, thus increasing flow and being overal better.
    - Completely redid the calculations for ammo's. ITs now much more tier based, and a lot more buffed!
  Bugfixes:
    - Fixed exploit of mining a chest with 100k items increasing you mined stat and thus making you super powerful quickly
    - Fixed wooden solar equipment being available from the start
    - Fixed productivity modules be able to be used on everything
  Warfare:
    - Added first 30 enemies (total now 50)! Fuerion, Zaptoid and Radicus! They spawn like the normal spawners, with base game generation.
---------------------------------------------------------------------------------------------------
Version: 0.6.5
Date: 07. 04. 2018
  Features:
    - Launching a rocket with certain electric mining drills give resources. This always has a chance for stone, coal and sand, and depending on the mining drill material, will give its respective ore.
    - Added PvP Scenario. All modules must be enabled, and the PvP option at the startup options must be enabled!
  Changes:
    - Most wooden items should be burnable in boilers now.
  Bugfixes:
    - Fixed Turrets switching directions when they shouldnt
---------------------------------------------------------------------------------------------------
Version: 0.6.4
Date: 19. 03. 2018
  Features:
    - Added a new resistance type: Radiation
    - Made Ammo damage more realistic. Impact Damage first, then the materials damage type. Lead and Uranium have different damage types then the rest
  Bugfixes:
    - Fixed tungsten requiring unknown key: dyworld-hydrogen. it now requires the correct fluid which is obtainable. 
---------------------------------------------------------------------------------------------------
Version: 0.6.3
Date: 11. 03. 2018
  Bugfixes:
    - Fixed issue with character logistics slots research and the bug that followed
---------------------------------------------------------------------------------------------------
Version: 0.6.2
Date: 08. 03. 2018
  Features:
    - Added new intermediates: Gears, Wires, Coils and PCB's of every metal. Hand crafting is expensive and requires you to manually craft them. Craft them with the specialised assemblers for way better ratio's
    - The first new recipes for Circuits. This is currently under testing, but should be balanced (any feedback is welcome)
    - Added a stacksize increaser. Defaults to 1, but can be as high as you want it with a max of 5000 times the current stacksize (multiplier)
    - Dont like finite ores? Well now you can switch everything to infinite if you so wish. Check mod options to enable it
    - Added an option to unhide hidden recipes. Disable to see those recipes, but it will make your crafting windows a lot bigger! Use it to see ratio's and where to craft them
    - Added 2 new labels in the stats window (Numpad 7). Current Evolution in % and how much research is done (%). The research done label are milestones, which will be used for enemy generation in later updates
    - Added an interactive guide. This currently only works for the first part of the game, but will be greatly expanded
    - Added a new bonus! Logistic slots now automatically unlock when you get stronger and faster!
    - Increased amount of robot battery research pre-infinite
  Chemistry:
    - Added first iteration of Chemistry. You can make certain elements from Atoms, and splice certain elements and compounds into Atoms
  Materials System:
    - Added a new material: Uranium. Smelt Uranium in a furnace to get its plate form
    - Added a new entity: Radars (Warfare)
  Warfare:
    - Added the first 20 enemies: Arachtoid and Cuspira (remade from the base game, with slightly different hp and attacks) The later ones that spawn are HUGE!
  Changes:
    - Turrets should be prepared to fire at less range now, making them slightly more effective.
    - Reduced inventory slot bonuses to 250 slots total. At 500 slots it bugs out the crafting menu's. Should be fixed now
    - Moved burner inserter to DyWorld Inserter tab
  Balancing:
    - Made Advanced Water Centrifuging recipe correct as it should be. Gives now H20 instead of HO2
    - Fluids have different pressure rates now. Gases flow quick, while molten metals and sludge are super slow
    - Decrease power production of steam engines by 90% (its now 1/10th of what it was)
    - Increased rubber underground transport range: 2 > 6
    - Increased roboport charging by 5 times
    - Pumps are pumping faster depending on which tier it is. Super Alloys Pumps pump 6 times faster now!
  Bugfixes:
    - Fixed placement issues with offshore pumps. Should be visible where to place now, and fixed collision and selection boxes
    - Fixed Cliff Explosives not being able to be crafted and not being able to hit cliffs
    - Fixed Artillery Shells not being able to be crafted
    - Fixed Artillery Wagon not being able to be crafted
    - Fixed Buffer Chest not being able to be crafted
    - Fixed mining drills that offload to quick as much as possible. Some will have a warning label when speed is high. Please be cautious then!
    - Fixed quickbars resetting when migrating to a newer version
    - Fixed error when loot pickup range bonus is above 320. Now maxed at 322
  Compatibility:
    - First iteration of DyComPa (DyWorld Compatibilty Patcher) This is make other mods work better with DyWorld! This will automatically change recipes in other mods to use DyWorld's items. Works with MOST mods! All mods are automatically changed accordingly to what is enabled in DyWorld, and is removed.
    - If a mod still seems broken, use Discord server:
    - https://discord.gg/yR5vBWy (head to mod compatibility suggestions channel)
---------------------------------------------------------------------------------------------------
Version: 0.6.1
Date: 06. 01. 2018
  Features:
    - Added technologies to improve your batteries of worker robots
    - Added a minigun, fires 120 shots per second!
  Materials System:
    - Added all modules to the Material System
    - Added normal armor to the Material System
    - Added steam engines to the Material System
    - Added Solar Panel Equipment to the Material System
    - Changed the way the system is populated with materials. Chitin only shows up when Warfare is enabled, and all alloys (except steel) will only show up when Metallurgy is enabled. This is done so the screen will not be filled a lot when certain modules are disabled
  Changes:
    - Removed old DyWorld Modules 
    - Disabled Base Game Modules
    - Added advanced and super lubricant for use in the transport belts (transport belts with speeds above 100 use super lubricant, above 50 use advanced lubricant and above 25 use lubricant)
  Balancing:
    - Changed smelting times of clean and dirty ores. Clean ores should smelt quicker now
  Bugfixes:
    - Fixed bug with science fluid recipes when metallurgy was disabled
---------------------------------------------------------------------------------------------------
Version: 0.6.0
Date: 14. 12. 2017
  Notes:
    - This has been released quick to get you guys playing on Factorio 0.16! Certain things are unfinished, or still require some polishing. 
    - VERY IMPORTANT NOTE: OLD MAPS MIGHT NOT WORK!!!!
  Warfare:
    - Added a difficulty setting. This changes a lot of things like spawn rates, health etc. Can be changed in the option menu
  Metallurgy:
    - Added Dirty Ores, Clean Ores and Ore Chunks
  Materials System:
    - Added a hard limit for max range of ammo and turrets (250) to not break the game. Super Alloys will always stay at max 250 range (or lower if their properties let it)
    - Added a hard limit for Power Pole/Relay range, which is 64 (base game wont allow for higher)
    - Added Loaders to the Material System
    - Added Chitin usable for the Material System
    - Added Armor Plated Locomotives for the Material System
  Graphics:
    - New graphics for a few items, technologies and entities (thanks to a player)
    - New High Res graphics when available from the base game
  Balancing:
    - Made Piercing Ammo 2 times more powerful
  Changes:
    - Ported to Factorio 0.16.x
    - Changed GUI Setup
    - GeoDrill now gives ore chunks instead of normal ore
    - Sludge processing gives ore chunks instead of normal ore
  Bugfixes:
    - Fixed Piercing Shotgun Shells being usable only in normal Guns
---------------------------------------------------------------------------------------------------
Version: 0.5.1
Date: 30. 11. 2017
  Major Features:
    - Added last 3 resources: Aluminium, Zinc and Nickel
    - Added in first Super Alloy: Stainless-Copilinvar-Tungstate
  Balancing:
    - Changed Elinvar to also use Nickel like it should
  Changes:
    - Removed Cadmium Ore, but replaced it with Zinc Ore
    - Removed a few items from recipes that arent used anymore and could not be crafted because of their items not being unlocked
  Bugfixes:
    - Fixed Alloy recipes not unlocking
---------------------------------------------------------------------------------------------------
Version: 0.5.0
Date: 28. 11. 2017
  Major Features:
    - Added a GeoDrill, this will mine underground for those hard to reach resources
    - Added 6 alloys! Billon, Stainless Steel, Bronze, Elinvar, Copper-Tungsten and Copper-Hydride are now usable!
    - Massive change to science packs. You create a fluid first, and then bottle it with glass to create the science pack. Simple to use, hard to master! 
    - Added in tiered labs. The first lab can only use red packs, second one red and green etc. 7 labs total, with the last one capable of using all science packs. Each has to be research after you get the new science pack it will use. The better variants research faster though
    - Material System consists now of 20 materials instead of the previous 12! Expect a lot of items to play around with!
  Features:
    - Added Burner Mining Drills that use the Material System (only basic and primitive materials can be made)
    - Added Repair Packs that use the Material System
    - Added Chests (Normal and Warehouses) that use the Material System
    - Added Cannon Shells and Explosive Cannon Shells using the Material System
    - Added Cannon Turrets that use the Material System
    - Added Walls that use the Material System
    - Added Grenades and Cluster Grenades that use the Material System
    - Added Conductivity to the Material System Properties. Used in anything that uses or creates energy!
    - Added Tungsten and Cadmium resources. 
  Minor Features:
    - Moved Solar Panels to use the Material System
    - Moved Accumulators to use the Material System
    - Moved Mining Tools to use the Material System
    - Moved Electric Mining Drills to use the Material System
    - Moved Assembling Machines to use the Material System
    - Moved Roboports to use the Material System. Higher "tiers" have more charging slots
    - Moved Construction Robots to use the Material System
    - Moved Logistic Robots to use the Material System
    - Added more technologies of a lot of techs. Used to unlock different tiers of the Material System
    - Added in 7 new intermediates
    - Added the mining speed bonus back in into the bonuses system so the beginning game can get a bit better
  Balancing:
    - Increased all DyWorld Ores richness by 5x
    - Major Rebalancing of the Metallurgic System. Recipes changed, techs changed everything! All done to accomodate alloys!
    - Major balancing of recipes, health, ammo and pretty much everything
  Changes:
    - Because of Conductivity add, Power Poles and Relays have been changed, drastically. Stone and Rubber are not conductive, so they no longer exist!
    - Added in a tech for steam engines. Moved the steam engines to that tech. No longer can you use steam in the beginning of the game. You can use the makeshift wooden solar panels and accumulators in the beginning for power
    - Split the DyWorld Logistic tab into 2 tabs. One holds all moving parts, the other chests, robots etc
---------------------------------------------------------------------------------------------------
Version: 0.4.2
Date: 16. 11. 2017
  Major Features:
    - Change of the Formula's in preparations for 0.5.0 and alloys. All Transport Belts have different speeds now!
  Bugfixes:
    - Fixed Crash To Desktop issue with power poles and relays
    - Unlocked recipe for stone bricks and obsidian for the Forge
---------------------------------------------------------------------------------------------------
Version: 0.4.1
Date: 15. 11. 2017
  Features:
    - Added 2 new materials to the Material System: Rubber and Obsidian
  Minor Features:
    - Added a way to smelt stone bricks and obsidian using molten rock
  Changes:
    - Moved inserters to their own tab in the crafting window to make the crafting screen a bit smaller
  Bugfixes:
    - Fixed inserters not being able to be blueprinted
---------------------------------------------------------------------------------------------------
Version: 0.4.0
Date: 13. 11. 2017
  Major Features:
    - Added the Material System. This governs materials and their properties. Currently 10 different materials
    - Added Metallurgy. The process to refine ore into plates using liquids. This can happen for: Iron, Copper, Steel, Tin, Lead, Silver, Chromium and Gold
  Features:
    - Added Inserters (6 types), Transport Belts (normal, underground and splitters), Pumps (offshore and inline), Power Poles (poles and relays), Ammo (basic and shotgun. Normal and piercing for both), Turrets (gun, shotgun, laser and laser shotgun) to the game using the Material System. (resulting in 190 new items and entities!!!!)
    - Added 5 new resources (Tin, Lead, Silver, Chromium and Gold)
    - Added 18 new roboports
    - 36 Electric Drills. This is temporary, and will move to the Material System soon
  Minor Features:
    - Added Recycler. This recycles everything (including fluids) into sludge
  Balancing:
    - Changed centrifuge. Now available earlier and cheaper so you can use it for the new recipes
    - Changed recipes of a lot of the base games items, and disabled a few
---------------------------------------------------------------------------------------------------
Version: 0.3.1
Date: 10. 10. 2017
  Minor Features:
    - Added back intermediates, with a few new ones
  Balancing:
    - Added in correct recipes for all items and entities
  Changes:
    - Level System: Starting level is now level 1
    - Level System: leveling is now slower. XP needed for level 2 is now between 100 and 200 instead of 100 (its randomized at the moment of your characters creation (aka joining or starting game)
    - Level System: XP needed for next level is now random. Somewhere between 125% and 225% of previous level. No 2 levels are the same increase or 2 games are the same
    - Bonuses: Now available from the start instead of level 5
    - Bonuses: Crafting speed bonus increases much slower
    - Changed the way recipes are handled. This makes it easier to add correct recipes and balance them
  Bugfixes:
    - Fixed Level up when player wasnt playing on server but still leveled up.
    - Fixed getting XP when everybody gets XP, even dead players. Now only those alive get XP
    - Fixed advanced steel axe research cluttering the technology screen
---------------------------------------------------------------------------------------------------
Version: 0.3.0
Date: 8. 10. 2017
  Major Features:
    - Completely new setup and rewrite
  Features:
    - New level mechanic. still in WIP state, but will be used for unlocks, bonuses and more
    - Needs system. Still under construction, but working already a bit (at least the losing hunger and thirst stats) Currently off normally, since doenst add any gameplay yet that works like it should
    - Tiered Entites and Items: because of the rewrite, i changed the setup how this is done. It is still in its early stages, but works fine. It adds 9 tiers of multiple machines and items with technologies and graphicals automatically. Currently supported: Assembling Machines, Solar Panels, Accumulators, Logistics Bots, Construction Bots, Mining Tools. (recipes are currently not good. Will be fixed in 0.3.1 update!)
  Minor Features:
    - Added a distance window. This works with the map tags you make on the map screen, but also helps you find the shipwrecks
  Changes:
    - Improved Statistics and Level window
    - Shipwrecks are now closed but way more random. One can be close to you, while other 2 are 500 meters away.
    - Loads of changes in the scripts to make everything more fluent. Including, but not limited to, refreshing stats window (every sec), better calculations and much more
